package com.liquidnet.service.kylin.dto.vo.returns;

import com.liquidnet.service.kylin.dto.vo.middle.PayDataVo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class PayResultVo implements Serializable,Cloneable {

    private static final long serialVersionUID = 1541552316829686035L;

    private String code;
    private String message;
    private PayInnerResultVo data;

    private static final PayResultVo obj = new PayResultVo();
    public static PayResultVo getNew() {
        try {
            return (PayResultVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PayResultVo();
        }
    }
}
